2 qq 33219576 qq_33219576 于 2016.03.13 09:57 提问

cygwin安装nesc,显示错误:无法从/var/lib/rpm中打开软件包数据库。

用setup-x86_64安装的cygwin,并下载模块Base,Devel,Libs,Net,System,Utils等。

nesc用的是“nesc-1.3.1-1”.

在cygwin中安装nesc时,使用命令“rpm -ivh nesc-1.3.1-1.cygwin.i386.rpm”,显示错误:无法从/var/lib/rpm中打开软件包数据库。

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
Linux——无法使用rpm查找安装文件
例如执行命令 rpm -qa |grep apache 出现以下错误: rpmdb: unable to join the environment error: db3 error(11) from dbenv->open: Resource temporarily unavailable error: cannot open Packages index using db3 - Re
error: cannot open Packages database in /var/lib/rpm
在使用rpm -ivh gcc-4.4.7-4.el6.x86_64.rpm命令安装GCC时,提示以下错误:rpmdb: Thread/process 3343/139858349385472 failed: Thread died in Berkeley DB library error: db3 error(-30974) from dbenv->failchk: DB_RUNRECOVERY
Linux软件包管理器及rpm命令总结
Linux软件包管理器及rpm命令
RPM应用之安装篇
13.ignorearch:忽略体系与ignoreos :忽略操作系统 何谓体系?体系就是CPU的类别,有Intel的x86(如i386,i486系列)体系,有Sun的sparc体系等等。当一个软件包建立时,RPM就为其指定了所适用的CPU体系,也为其指定了所适用的操作系统。这样做的好处就是,RPM容易知道为一台计算机所建立的软件包是否适用于兼容于另一台计算机。RPM的资源配置文件(默认为/u
无法解析或打开软件包的列表或是状态文件问题的解决方案
linux无法解析或打开软件包的列表或是状态文件。
错误:can't create 事务 lock on /var/lib/rpm/.rpm
用rpm安装软件的时候遇到这样的一个问题,最开始是用普通用户登陆,安装提示权限不够,于是用chmod赋予权限,结果还是报错 原因就是权限问题,切换到root用户 下使用rpm安装就没问题了。错误:can't create 事务 lock on /var/lib/rpm/.rpm.lock
rpmbuild之check-rpaths的问题
'[' '%{buildarch}' = noarch ']' + QA_CHECK_RPATHS=1 + case "${QA_CHECK_RPATHS:-}" in + /usr/lib/rpm/check-rpaths ******************************************************************************* * * WAR
查看Cygwin中已经安装的软件包的方法
很多时候会需要查看Cygwin中已经安装了哪些软件包以及这些软件包的版本信息。Cygwin提供了和各种Linux发行版提供的软件包管理程序(如rpm)类似的实用工具: cygcheck 可以使用cygcheck -h查看该工具的用法: $ cygcheck -h Usage: cygcheck [-v] [-h] PROGRAM cygcheck -c [-
无法打开文件 /var/lib/dpkg/status
最近几天很郁闷,我的ubuntu不能更新软件,老提示E: 无法打开文件 /var/lib/dpkg/status - open (2: 没有那个文件或目录) E: 无法解析或打开软件包的列表或是状态文件。 我想大概是我上周安装软件,一不小心删掉了 /var/lib/dpkg/st
Linux(Ubuntu)错误锦集
错误一: Ubuntu右上角有一个红色的圆,中间有一条白色的横线,鼠标移上去提示:发生了一个错误,请通过右键菜单运行软件包管理器或通过终端执行apt-get来查看具体错误。 错误信息:“错误:已损坏个数>0“,这通常意味着您安装的软件包有未满足的依赖关系解决错误一: 按照错误提示操作: sudo apt-get install -f sudo:以Root用户身份运行命令 “